## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemElement Class Reference

`#include <ElemElement.hpp>`

Inheritance diagram for ElemElement

Collaboration diagram for ElemElement:

List of all members.

## Public Methods

- ElemElement ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const AttributeListType& atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:element" element. More...
- virtual ~ElemElement ()
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void execute (StylesheetExecutionContext& executionContext) const
    Execute the element's primary function. More...

## Protected Methods

- virtual void doExecuteChildren ( StylesheetExecutionContext& executionContext, bool skipAttributeChildren) const
    Process the children of a template. More...
- virtual void namespacesPostConstruction ( StylesheetConstructionContext& constructionContext, const NamespacesHandler& theParentHandler, NamespacesHandler& theHandler)
    Called after construction is completed. More...

## Constructor & Destructor Documentation

ElemElement::ElemElement ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an object corresponding to an "xsl:element" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemElement::~ElemElement ( | )`[virtual]`

## Member Function Documentation

void ElemElement::doExecuteChildren ( | StylesheetExecutionContext & executionContext,
| bool skipAttributeChildren ) const`[protected, virtual]`

Process the children of a template.

Parameters:

  executionContext | The current execution context
  skipAttributeChildren | If true, attribute children will not be executed.

virtual void ElemElement::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Execute the element's primary function.

Subclasses of this function may recursively execute down the element tree.

Parameters:

  executionContext | The current execution context

Reimplemented from ElemUse.

virtual const XalanDOMString& ElemElement::getElementName ( | ) const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemUse.

virtual void ElemElement::namespacesPostConstruction ( | StylesheetConstructionContext & constructionContext,
| const NamespacesHandler & theParentHandler,
| NamespacesHandler & theHandler )`[protected, virtual]`

Called after construction is completed.

This is a hook for deriving classes to handle post-construction with the instances HamespaceHandler instance, which is otherwise only available through a const accessor.

Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemElement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.